import 'package:flutter/material.dart';

class EasyPinCodeTheme {
  final TextStyle textStyle;
  final Color unfocusedBorderColor;
  final Color focusedBorderColor;
  final Color filledBorderColor;
  /// Used when waiting on `onSubmit` method to finish
  final Color disabledBorderColor;

  final Color unfocusedBackgroundColor;
  final Color focusedBackgroundColor;
  final Color filledBackgroundColor;
  /// Used when waiting on `onSubmit` method to finish
  final Color disabledBackgroundColor;

  final Color cursorColor;

  final double borderWidth;

  const EasyPinCodeTheme({
    this.textStyle = const TextStyle(
      color: Colors.black,
    ),
    this.unfocusedBorderColor = Colors.grey,
    this.focusedBorderColor = Colors.blueAccent,
    this.filledBorderColor = Colors.blue,
    this.disabledBorderColor = Colors.grey,
    this.unfocusedBackgroundColor = Colors.transparent,
    this.focusedBackgroundColor = Colors.blueAccent,
    this.filledBackgroundColor = Colors.blue,
    this.disabledBackgroundColor = Colors.grey,
    this.cursorColor = Colors.blue,
    this.borderWidth = 2
  });
}